Bug 237591 - Upgrade to selinux-policy-targeted 2.5.12-5.fc7 spews all over console
Summary: Upgrade to selinux-policy-targeted 2.5.12-5.fc7 spews all over console
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-23 21:41 UTC by Jarod Wilson
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 22:01:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jarod Wilson 2007-04-23 21:41:57 UTC
Description of problem:
[root@dhcp83-120 log]# rpm -q selinux-policy-targeted
selinux-policy-targeted-2.5.12-3.fc7
[root@dhcp83-120 log]# yum list updates selinux-policy-targeted
Loading "installonlyn" plugin
Updated Packages
selinux-policy-targeted.noarch           2.5.12-5.fc7           development     
[root@dhcp83-120 log]# yum upgrade selinux-policy-targeted
Loading "installonlyn" plugin
Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
Checking deps for selinux-policy-targeted.noarch 0-2.5.12-3.fc7 - None
filelists.xml.gz          100% |=========================| 2.4 MB    00:38     
---> Package selinux-policy-targeted.noarch 0:2.5.12-5.fc7 set to be updated
Checking deps for selinux-policy-targeted.noarch 0-2.5.12-5.fc7 - u
--> Processing Dependency: selinux-policy = 2.5.12-5.fc7 for package:
selinux-policy-targeted
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package selinux-policy.noarch 0:2.5.12-5.fc7 set to be updated
Checking deps for selinux-policy.noarch 0-2.5.12-5.fc7 - u
Checking deps for selinux-policy.noarch 0-2.5.12-3.fc7 - None

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 selinux-policy-targeted  noarch     2.5.12-5.fc7     development       967 k
Updating for dependencies:
 selinux-policy          noarch     2.5.12-5.fc7     development       370 k

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       2 Package(s)         
Remove       0 Package(s)         

Total download size: 1.3 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): selinux-policy-tar 100% |=========================| 967 kB    00:18     
(2/2): selinux-policy-2.5 100% |=========================| 370 kB    00:09     
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : selinux-policy               ######################### [1/4] 
  Updating  : selinux-policy-targeted      ######################### [2/4] 
/sbin/fixfiles: line 62:  4252 Done                    sed -r -e 's,:s0, ,g' $FC
      4253                       | sort -u
      4254 Done(1)                 | /usr/bin/diff -b ${PREFCTEMPFILE} -
      4255                       | grep '^[<>]'
      4256                       | cut -c3-
      4257                       | grep ^/
      4258                       | egrep -v '(^/home|^/root|^/tmp|^/dev)'
      4259                       | sed -r -e 's,[[:blank:]].*,,g' -e
's|\(([/[:alnum:]]+)\)\?|{\1,}|g' -e 's|([/[:alnum:]])\?|{\1,}|g' -e
's|\?.*|*|g' -e 's|\(.*|*|g' -e 's|\[.*|*|g' -e 's|\.\*.*|*|g' -e 's|\.\+.*|*|g'
      4260                       | sort -u
      4261                       | sort -d
      4262                       | while read pattern; do
    if ! echo "$pattern" | grep -q -f ${TEMPFILE} 2> /dev/null; then
        echo "$pattern"; case "$pattern" in 
            *"*")
                echo "$pattern" | sed 's,\*$,,g' >> ${TEMPFILE}
            ;;
        esac;
    fi;
done
      4263 Done(1)                 | while read pattern; do
    find $pattern ! \( -fstype ext2 -o -fstype ext3 -o -fstype jfs -o -fstype
xfs \) -prune -o \( -wholename /home -o -wholename /root -o -wholename /tmp
-wholename /dev \) -prune -o -print;
done 2> /dev/null
      4264 Segmentation fault      | ${RESTORECON} $2 -v -f -
  Cleanup   : selinux-policy               ######################### [3/4]
  Cleanup   : selinux-policy-targeted      ######################### [4/4]

Updated: selinux-policy-targeted.noarch 0:2.5.12-5.fc7
Dependency Updated: selinux-policy.noarch 0:2.5.12-5.fc7
Complete!

Comment 1 Daniel Walsh 2007-04-24 13:58:42 UTC
Fixed in policycoreutils-2.0.9-7.fc7


Note You need to log in before you can comment on or make changes to this bug.